<?php

class Concepto extends AppObjeto {
    //Propiedades
    protected $codigo;
    protected $nombre;

            
        /* para conectar con bd */
    protected static $_aliasTabla = 'a';
    protected static $_nombreTabla = 'CONCEP_FACTUR';
    protected static $_campoPK = 'CODIGO';


    // InitMetaDatos
    protected static function initMetaDatos(){
        self::addPropiedadBD('a', 'CODIGO', 'codigo', self::META_VARCHAR);
        self::addPropiedadBD('a', 'NOMBRE', 'nombre', self::META_VARCHAR);
        
    }

    public static function listado_select(){
        $select = self::selectObjeto();
        //$select->order('nombre');
        $resultado = self::selectExecute($select);
        
        $datos = $resultado->getDatos();
        $salida = array();
        foreach ($datos as $elemento){
            $salida[$elemento['codigo']] =$elemento['nombre'];
        }
        return $salida;
        
    }
}